#ifndef LOGGER_H
#define LOGGER_H

#define ERROR 3
#define WARN 2
#define MESSAGE 1

#include <string>

class Logger
{
	int warnlevel;
public:
	Logger()
	{
		warnlevel = ERROR;
	}
	
	void Output(int level, std::string message)
	{
		if(level >= warnlevel)
			fprintf(stderr, "%s\n", message.c_str());
	}
	void SetWarnLevel(int level){ warnlevel = level; }
};

#endif