#ifndef MAPA_H
#define MAPA_H

#include <vector>
#include <queue>
#include <set>
#include <algorithm>
#include "constants.h"
#include "helpers.h"
#include "structures.h"

using namespace std;

const double px[]={0.5,0.5,-0.5,-0.5};
const double py[]={0.5,-0.5,0.5,-0.5};

class Mapa
{
public:
	vector<vector<int> > mapa;
	vector<int> spawnx;
	vector<int> spawny;
	vector<int> ammox;
	vector<int> ammoy;
	Mapa();
	void Generate(int &R, int &C, int seed);
	void GetVisiblePart(int y, int x, int rot, GameData &data);
};

#endif