#ifndef STRUCTURES_H
#define STRUCTURES_H

struct ObjectData
{
	int type;
	int x, y, rotate;
	int id;
	bool spawned;		//nevsimat
};

struct GameData
{
	int type;			//toto nic
	int x, y;			//tvoja pos
	int rotate;			//tvoja rot - vid. constants.h smer
	int hp;				//tvoje hp
	int curweapon;		//tvoja curweap - const.h
	int zasobnik, zbytok; //
	bool spawned;		//ak si sa narodil tak true
	//bool canshot;		//ci mozes strielat
	int blocktime;		//cas potrebny na nabitie sucasnej zbrane - ak 0 mozes strielat/reloadovat
	int wastedtime;		//premarnene tahy
	int mapa[MAX_ROZMER][MAX_ROZMER];	//mapa STENA, VISIBLE, UNKNOWN
	ObjectData objects[MAX_OBJECTS];
	int nObjects;
	int zasobniky[5];
	int zbytky[5];
};

struct ClientInit
{
	char nick[MAX_NICK+5];
};

struct Action
{
	int mx, my;				//move v rozumnych medziach 1 do kazdeho smeru
	int rotate;				//rotacia max 2
	int weaponaction;		//vid const.h
};

struct MapaSend
{
	int r, c;
	int mapa[MAX_ROZMER][MAX_ROZMER];
	int nplayers;
	char nicks[MAX_PLAYERS][MAX_NICK];
};

struct DrawSend
{
	ObjectData objects[MAX_OBJECTS];
	int nObjects;
	int stats[MAX_PLAYERS][2];
};



#endif