#include "headers.h"

void Skybox::Load()
{
	char texturefiles[][100]={"red_up.bmp", "red_east.bmp", "red_north.bmp", "red_west.bmp", "red_south.bmp"};
	//SDL_Surface *TextureImage[5]; 
	for(int i = 0; i < 5; i++)
	{
		textures[i].Load(texturefiles[i]);
	}
}

void Skybox::Draw(double x, double z)
{
	glPushMatrix();
		glDisable(GL_LIGHTING);
		glEnable( GL_TEXTURE_2D );
		glTranslatef(0.0*x, 0, 0.0*z);
		//glBindTexture( GL_TEXTURE_2D, textures[0]);
		textures[0].Bind();
		glColor3f(1,1,1);
		glBegin(GL_QUADS);
			//up
			glTexCoord2f(0,0); glVertex3f(-500,490,-500);
			glTexCoord2f(0,1); glVertex3f(500,490,-500);
			glTexCoord2f(1,1); glVertex3f(500,490,500);
			glTexCoord2f(1,0); glVertex3f(-500,490,500);
		glEnd();
		textures[1].Bind();
		glBegin(GL_QUADS);
			//front
			glTexCoord2f(0,1);glVertex3f(-500,-500,-490);
			glTexCoord2f(1,1);glVertex3f(500,-500,-490);
			glTexCoord2f(1,0);glVertex3f(500,500,-490);
			glTexCoord2f(0,0);glVertex3f(-500,500,-490);
		glEnd();
		textures[2].Bind();
		glBegin(GL_QUADS);
			//left
			glTexCoord2f(1,1);glVertex3f(-490,-500,-500);
			glTexCoord2f(0,1);glVertex3f(-490,-500,500);
			glTexCoord2f(0,0);glVertex3f(-490,500,500);
			glTexCoord2f(1,0);glVertex3f(-490,500,-500);
		glEnd();
		textures[3].Bind();
		glBegin(GL_QUADS);
			//back
			glTexCoord2f(1,1);glVertex3f(-500,-500,490);
			glTexCoord2f(0,1);glVertex3f(500,-500,490);
			glTexCoord2f(0,0);glVertex3f(500,500,490);
			glTexCoord2f(1,0);glVertex3f(-500,500,490);
		glEnd();
		//
		textures[4].Bind();
		glBegin(GL_QUADS);
			//right
			glTexCoord2f(1,1);glVertex3f(490,-500,500);
			glTexCoord2f(0,1);glVertex3f(490,-500,-500);
			glTexCoord2f(0,0);glVertex3f(490,500,-500);
			glTexCoord2f(1,0);glVertex3f(490,500,500);

		glEnd();
		textures[0].Bind();
		glBegin(GL_TRIANGLES);
			glVertex3f(0,-500,0);
			glVertex3f(1,-500,0);
			glVertex3f(0,-500,1);
		glEnd();
		glDisable(GL_TEXTURE_2D);
	glPopMatrix();
}
