#ifndef PLAYER_H
#define PLAYER_H

class Player
{
public:
	bool waiting;
	Connection* conn;
	int tempdmg;
	int x, y;
	int movex, movey;
	int rot;
	int curweapon;
	vector<Weapon*> weapons;
	int frags, deaths;
	int hp;
	bool spawned;
	char nick[MAX_NICK];
	int wastedtime;
	int spree;
	Player();
	void SendPlayerData();
	bool ReceivePlayerData(Action &act);
	void SendInitData();
	void RecInitData();
	void SendEnd();
	void DeSpawn();
	void Move()
	{
		x+=movex; y+=movey;
	}
	void Rotate(int r)
	{
		rot+=r;
		if(rot < 0) rot+=16;
		if(rot >=16) rot-=16;
	}
	void Spawn();
	void AddFrag();
};

#endif